//
//  ViewController.m
//  DateCalcGUI
//
//  Created by Main Account on 1/27/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "ViewController.h"
#import "DateCalculator.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UILabel *resultsLabel;
@property (strong, nonatomic) DateCalculator *dateCalc;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.dateCalc = [[DateCalculator alloc] init];
    self.dateCalc.hisName = @"Ray";
    self.dateCalc.hisAge = 34;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)calcTapped:(id)sender {
  BOOL shouldDate = [self.dateCalc shouldHeDateIfHerAgeIs:24];
  if (shouldDate) {
    self.resultsLabel.text = @"He should date";
  } else {
    self.resultsLabel.text = @"He should not date";
  }
}

@end
